dbusmenu-qt 0.9.2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Pages
Public Slots | Signals | Public Member Functions | Properties | List of all members
DbusmenuAdaptor Class Reference
Inheritance diagram for DbusmenuAdaptor:

## Public Slots
bool | AboutToShow (int id)
void | Event (int id, const QString &eventId, const QDBusVariant &data, uint timestamp)
DBusMenuItemList | GetGroupProperties (const QList< int > &ids, const QStringList &propertyNames)
uint | GetLayout (int parentId, int recursionDepth, const QStringList &propertyNames, DBusMenuLayoutItem &layout)
QDBusVariant | GetProperty (int id, const QString &name)

## Signals
void | ItemActivationRequested (int id, uint timestamp)
void | ItemsPropertiesUpdated (DBusMenuItemList updatedProps, DBusMenuItemKeysList removedProps)
void | LayoutUpdated (uint revision, int parent)

## Public Member Functions
QString | status () const
uint | version () const

## Properties
QString | Status
uint | Version

The documentation for this class was generated from the following file:

- src/dbusmenuadaptor.h